> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mayar.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Detail Single Payment Request

> Endpoint used to view the details of a single payment request that has been created

<RequestExample>
  ```bash Request Example theme={null}
  curl --request GET 'https://api.mayar.id/hl/v2/payments/6f8c19ff-5b97-4792-aa89-d2a12797b356' \
  --header 'Authorization: Bearer Paste-Your-API-Key-Here'
  ```
</RequestExample>

<ResponseExample>
  ```json Response Example 200 theme={null}
  {
      "statusCode": 200,
      "messages": "success",
      "data": {
          "id": "6f8c19ff-5b97-4792-aa89-d2a12797b356",
          "link": "rqp9x2k7m3a",
          "name": "Penagihan",
          "category": null,
          "limit": null,
          "type": "payment_request",
          "subType": null,
          "variant": null,
          "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413",
          "membershipTier": [],
          "event": null,
          "order": null,
          "qty": null,
          "amount": 100000,
          "status": "unpaid",
          "description": "Pembayaran jasa konsultasi",
          "coverImageId": null,
          "multipleImageId": null,
          "transactions": [],
          "coverImage": null,
          "multipleImage": null,
          "linkUrl": "https://testingmayar.myr.id/pl/rqp9x2k7m3a",
          "linkPayment": "https://testingmayar.myr.id/pl/rqp9x2k7m3a"
      }
  }
  ```
</ResponseExample>

Endpoint:

<CodeGroup>
  ```Production Production theme={null}
  https://api.mayar.id/hl/v2/payments/{id}
  ```

  ```Sandbox Sandbox theme={null}
  https://api.mayar.club/hl/v2/payments/{id}
  ```
</CodeGroup>

## Authorization

<ResponseField name="Authorization" type="string" required>
  Example:

  `Authorization | Bearer Paste-Your-API-Key-Here`
</ResponseField>

## Path Parameters

<ParamField path="id" type="string <uuid>" required>
  A unique identifier obtained when creating a single payment request. If accessed
  through the dashboard, it can be found in the URL on the payment request details
  page.

  Example:

  `6f8c19ff-5b97-4792-aa89-d2a12797b356`
</ParamField>

## Response

Successful Response

### Main Structure (Root)

<ResponseField name="statusCode" type="integer">
  Status code form API.
</ResponseField>

<ResponseField name="messages" type="string">
  Status message that describes the status code.
</ResponseField>

<ResponseField name="data" type="object">
  The payment request detail object.
</ResponseField>

### data Structure (Object)

<ResponseField name="id" type="string<uuid>">
  Unique request payment ID.
</ResponseField>

<ResponseField name="link" type="string">
  Payment request slug/short URL.
</ResponseField>

<ResponseField name="name" type="string | null">
  Payment request name.
</ResponseField>

<ResponseField name="category" type="string | null">
  Category, can be null if there is no category.
</ResponseField>

<ResponseField name="limit" type="number | null">
  Certain amount limit, can be null.
</ResponseField>

<ResponseField name="type" type="string">
  Product type. Always `payment_request` for this endpoint.
</ResponseField>

<ResponseField name="subType" type="string | null">
  Product subtype if applicable.
</ResponseField>

<ResponseField name="variant" type="string | null">
  Product variant.
</ResponseField>

<ResponseField name="userId" type="string<uuid>">
  Identifier of the payment request owner.
</ResponseField>

<ResponseField name="membershipTier" type="array | null">
  Membership tier list (empty if not applicable).
</ResponseField>

<ResponseField name="event" type="object | null">
  Related event data, can be null.
</ResponseField>

<ResponseField name="order" type="object | null">
  Related order data, can be null.
</ResponseField>

<ResponseField name="qty" type="string | null">
  Quantity (if the request relates to specific goods/services).
</ResponseField>

<ResponseField name="amount" type="integer">
  Payment request price or nominal value.
</ResponseField>

<ResponseField name="status" type="string">
  Payment request status (e.g. `unpaid`, `paid`, `closed`).
</ResponseField>

<ResponseField name="description" type="string">
  Payment request description.
</ResponseField>

<ResponseField name="coverImageId" type="string | null">
  ID cover image, can be null.
</ResponseField>

<ResponseField name="multipleImageId" type="string | null">
  ID for multiple image group, can be null.
</ResponseField>

<ResponseField name="transactions" type="array of object">
  List of related transactions (empty if none).
</ResponseField>

<ResponseField name="coverImage" type="object | null">
  Cover image data, can be null.
</ResponseField>

<ResponseField name="multipleImage" type="array | null">
  List of additional images for the payment request.
</ResponseField>

<ResponseField name="linkUrl" type="string">
  Public payment request page URL.
</ResponseField>

<ResponseField name="linkPayment" type="string">
  Public payment link URL.
</ResponseField>
